<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="generator" content="https://txt2tags.org">
<meta name="viewport" content="width=device-width, initial-scale=1" />
<style>
blockquote{margin: 1em 2em; border-left: 2px solid #999;
  font-style: oblique; padding-left: 1em;}
blockquote:first-letter{margin: .2em .1em .1em 0; font-size: 160%; font-weight: bold;}
blockquote:first-line{font-weight: bold;}
body{font-family: sans-serif;}
hr{background-color:#000;border:0;color:#000;}
hr.heavy{height:2px;}
hr.light{height:1px;}
img{border:0;display:block;}
img.right{margin:0 0 0 auto;}
img.center{border:0;margin:0 auto;}
table{border-collapse: collapse;}
table th,table td{padding: 3px 7px 2px 7px;}
table th{background-color: lightgrey;}
table.center{margin-left:auto; margin-right:auto;}
.center{text-align:center;}
.right{text-align:right;}
.left{text-align:left;}
.tableborder,.tableborder td,.tableborder th{border:1px solid #000;}
.underline{text-decoration:underline;}
</style>
</head>
<body>
<header>
<hgroup>
</hgroup>
</header>


<div class="body">

<section~A~>
<h1></h1>
<section>
<h2>Syntax: E-mail</h2>

<p>
<a href="mailto:user@domain.com">user@domain.com</a>
<a href="mailto:user@domain.com">user@domain.com</a>.
<a href="mailto:user@domain.com">user@domain.com</a>. any text.
any text: <a href="mailto:user@domain.com">user@domain.com</a>. any text.
<a href="mailto:user@domain.com">label</a>
</p>

</section>
<section>
<h2>Syntax: E-mail with form data</h2>

<p>
<a href="mailto:user@domain.com?subject=bla">user@domain.com?subject=bla</a>
<a href="mailto:user@domain.com?subject=bla.">user@domain.com?subject=bla.</a>
<a href="mailto:user@domain.com?subject=bla,">user@domain.com?subject=bla,</a>
<a href="mailto:user@domain.com?subject=bla&amp;cc=otheruser@domain.com">user@domain.com?subject=bla&amp;cc=otheruser@domain.com</a>
<a href="mailto:user@domain.com?subject=bla&amp;cc=otheruser@domain.com.">user@domain.com?subject=bla&amp;cc=otheruser@domain.com.</a>
<a href="mailto:user@domain.com?subject=bla&amp;cc=otheruser@domain.com,">user@domain.com?subject=bla&amp;cc=otheruser@domain.com,</a>
<a href="mailto:user@domain.com?subject=bla&amp;cc=otheruser@domain.com">label</a>.
<a href="mailto:user@domain.com?subject=bla&amp;cc=otheruser@domain.com.">label</a>.
</p>

</section>
<section>
<h2>Syntax: URL</h2>

<p>
<a href="http://www.domain.com">http://www.domain.com</a>
<a href="http://www.domain.com/dir/">http://www.domain.com/dir/</a>
<a href="http://www.domain.com/dir///">http://www.domain.com/dir///</a>
<a href="http://www.domain.com">http://www.domain.com</a>.
<a href="http://www.domain.com">http://www.domain.com</a>,
<a href="http://www.domain.com">http://www.domain.com</a>. any text.
<a href="http://www.domain.com">http://www.domain.com</a>, any text.
<a href="http://www.domain.com/dir/">http://www.domain.com/dir/</a>. any text.
any text: <a href="http://www.domain.com">http://www.domain.com</a>. any text.
any text: <a href="http://www.domain.com/dir/">http://www.domain.com/dir/</a>. any text.
any text: <a href="http://www.domain.com/dir/index.html">http://www.domain.com/dir/index.html</a>. any text.
any text: <a href="http://www.domain.com/dir/index.html">http://www.domain.com/dir/index.html</a>, any text.
</p>

</section>
<section>
<h2>Syntax: URL with anchor</h2>

<p>
<a href="http://www.domain.com/dir/#anchor">http://www.domain.com/dir/#anchor</a>
<a href="http://www.domain.com/dir/index.html#anchor">http://www.domain.com/dir/index.html#anchor</a>
<a href="http://www.domain.com/dir/index.html#anchor.">http://www.domain.com/dir/index.html#anchor.</a>
<a href="http://www.domain.com/dir/#anchor.">http://www.domain.com/dir/#anchor.</a> any text.
<a href="http://www.domain.com/dir/index.html#anchor.">http://www.domain.com/dir/index.html#anchor.</a> any text.
any text: <a href="http://www.domain.com/dir/#anchor.">http://www.domain.com/dir/#anchor.</a> any text.
any text: <a href="http://www.domain.com/dir/index.html#anchor.">http://www.domain.com/dir/index.html#anchor.</a> any text.
</p>

</section>
<section>
<h2>Syntax: URL with form data</h2>

<p>
<a href="http://domain.com?a=a@a.a&amp;b=a+b+c.">http://domain.com?a=a@a.a&amp;b=a+b+c.</a>
<a href="http://domain.com?a=a@a.a&amp;b=a+b+c,">http://domain.com?a=a@a.a&amp;b=a+b+c,</a>
<a href="http://domain.com/bla.cgi?a=a@a.a&amp;b=a+b+c.">http://domain.com/bla.cgi?a=a@a.a&amp;b=a+b+c.</a>
<a href="http://domain.com/bla.cgi?a=a@a.a&amp;b=a+b+c@.">http://domain.com/bla.cgi?a=a@a.a&amp;b=a+b+c@.</a>
</p>

</section>
<section>
<h2>Syntax: URL with form data and anchor</h2>

<p>
<a href="http://domain.com?a=a@a.a&amp;b=a+b+c.#anchor">http://domain.com?a=a@a.a&amp;b=a+b+c.#anchor</a>
<a href="http://domain.com/bla.cgi?a=a@a.a&amp;b=a+b+c.#anchor">http://domain.com/bla.cgi?a=a@a.a&amp;b=a+b+c.#anchor</a>
<a href="http://domain.com/bla.cgi?a=a@a.a&amp;b=a+b+c@.#anchor">http://domain.com/bla.cgi?a=a@a.a&amp;b=a+b+c@.#anchor</a>
</p>

</section>
<section>
<h2>Syntax: URL with login data</h2>

<p>
<a href="http://user:password@domain.com/bla.html">http://user:password@domain.com/bla.html</a>.
<a href="http://user:password@domain.com/dir/">http://user:password@domain.com/dir/</a>.
<a href="http://user:password@domain.com">http://user:password@domain.com</a>.
<a href="http://user:@domain.com">http://user:@domain.com</a>.
<a href="http://user@domain.com">http://user@domain.com</a>.
</p>

</section>
<section>
<h2>Syntax: URL with login, form and anchor</h2>

<p>
<a href="http://user:password@domain.com/bla.cgi?a=a@a.a&amp;b=a+b+c.#anchor">http://user:password@domain.com/bla.cgi?a=a@a.a&amp;b=a+b+c.#anchor</a>
<a href="http://user:password@domain.com/bla.cgi?a=a@a.a&amp;b=a+b+c@#anchor">http://user:password@domain.com/bla.cgi?a=a@a.a&amp;b=a+b+c@#anchor</a>
</p>

</section>
<section>
<h2>Syntax: URL with label</h2>

<p>
<a href="http://www.domain.com">label</a>
</p>

</section>
<section>
<h2>Syntax: URL with label (trailing spaces are discarded, leading are maintained)</h2>

<p>
<a href="http://www.domain.com">  label</a>
<a href="http://www.domain.com">label</a>
</p>

</section>
<section>
<h2>Syntax: URL with label, stressing</h2>

<p>
<a href="http://www.domain.com/dir/index.html#anchor.">anchor</a>
<a href="http://user:password@domain.com/bla.html">login</a>
<a href="http://www.domain.com/bla.cgi?a=a@a.a&amp;b=a+b+c.">form</a>
<a href="http://www.domain.com/bla.cgi?a=a@a.a&amp;b=a+b+c.#anchor">form &amp; anchor</a>
<a href="http://user:password@domain.com/bla.cgi?a=a@a.a&amp;b=a+b+c.">login &amp; form</a>
</p>

</section>
<section>
<h2>Syntax: Link with label for local files</h2>

<p>
<a href="..">local link up</a>
<a href="bla.html">local link file</a>
<a href="#anchor">local link anchor</a>
<a href="bla.html#anchor">local link file/anchor</a>
<a href="bla.html#anchor.">local link file/anchor</a>
<a href="abc.gif">local link img</a>
</p>

</section>
<section>
<h2>Syntax: Another link as a label</h2>

<p>
<a href="http://www.domain.com">www.fake.com</a>
</p>

</section>
<section>
<h2>Syntax: URL with funny chars</h2>

<p>
<a href="http://domain.com:8080/~user/_st-r@a=n$g,e/index%20new.htm">http://domain.com:8080/~user/_st-r@a=n$g,e/index%20new.htm</a>
<a href="http://domain.com:8080/~user/_st-r@a=n$g,e/index%20new.htm?a=/%22&amp;b=+.@*_-">http://domain.com:8080/~user/_st-r@a=n$g,e/index%20new.htm?a=/%22&amp;b=+.@*_-</a>
<a href="http://domain.com:8080/~user/_st-r@a=n$g,e/index%20new.htm?a=/%22&amp;b=+.@*_-#anchor_-1%.">http://domain.com:8080/~user/_st-r@a=n$g,e/index%20new.htm?a=/%22&amp;b=+.@*_-#anchor_-1%.</a>
<a href="http://foo._user-9:pass!#$%&amp;*()+word@domain.com:8080/~user/_st-r@a=n$g,e/index%20new.htm?a=/%22&amp;b=+.@*_-#anchor_-1%.">http://foo._user-9:pass!#$%&amp;*()+word@domain.com:8080/~user/_st-r@a=n$g,e/index%20new.htm?a=/%22&amp;b=+.@*_-#anchor_-1%.</a>
</p>

</section>
<section>
<h2>Test: Various per line</h2>

<p>
<a href="http://L1.com">http://L1.com</a> ! <a href="mailto:L2@www.com">L2@www.com</a> ! <a href="http://www.com">L3</a> ! <a href="mailto:w@ww.com">L4</a> ! <a href="http://www.L5.com">www.L5.com</a>
</p>

</section>
<section>
<h2>Feature: Guessed link, adding protocol automatically</h2>

<p>
<a href="http://www.domain.com">www.domain.com</a>
<a href="http://www2.domain.com">www2.domain.com</a>
<a href="ftp://ftp.domain.com">ftp.domain.com</a>
<a href="http://WWW.DOMAIN.COM">WWW.DOMAIN.COM</a>
<a href="ftp://FTP.DOMAIN.COM">FTP.DOMAIN.COM</a>
<a href="http://www.domain.com">label</a>
<a href="ftp://ftp.domain.com">label</a>
<a href="http://WWW.DOMAIN.COM">label</a>
<a href="ftp://FTP.DOMAIN.COM">label</a>
</p>

</section>
<section>
<h2>Invalid: Trailing space on link</h2>

<p>
[label <a href="http://www.domain.com">www.domain.com</a> ]
</p>

</section>
<section>
<h2>Invalid: Label with ] char (use postproc)</h2>

<p>
[label] <a href="http://www.domain.com">www.domain.com</a>]
</p>
</section>
</section>
</div>

</body></html>
